/*
Theme Name: Lightning Pro Child
Theme URL: https://whowp.cc.tsukuba.ac.jp/
Template: lightning-pro
Version: 1.0
*/

#main {
    max-width: 1200px; /* コンテンツ最大幅 */
    margin: 0 auto; /* 左右を均等に */
    padding: 0 16px; /* モバイル時の左右余白 */
    box-sizing: border-box;
}

/* 元画像500px → PCで350px */
.img-body-500 img {
    width: 350px;
    height: auto;
    max-width: 100%;
}

/* スマホだけさらに小さく */
@media (max-width: 768px) {
    .img-body-500 img {
        width: 240px;
    }
}

@media (max-width: 600px) {
    .siteHeader_logo img {
        width: 100px;
        margin-left: 0 !important;
    }
}

.header-right-logo a {
    text-decoration: none;
    color: transparent;
}

.header-right-logo a:hover {
    text-decoration: none;
    color: transparentß;
}

.slide-text-title {
    font-size: 2.4rem;
    font-weight: bold;
}

.slide-text-caption {
    font-size: 1.3rem;
}

@media (max-width: 768px) {
    .slide-text-title {
        font-size: 1.8rem;
    }
    .slide-text-caption {
        font-size: 1.1rem;
    }
}

.wp-block-gallery.columns-5 .wp-block-image {
    display: flex !important;
    flex-direction: column !important;
    align-items: center !important;
    justify-content: center !important;
}

.wp-block-gallery.columns-5 .wp-block-image img {
    width: 70% !important;
    height: auto !important;
}

@media (max-width: 600px) {
    .wp-block-gallery.columns-5 .wp-block-image {
        margin-left: auto !important;
        margin-right: auto !important;
    }

    .wp-block-gallery.columns-5 .wp-block-image:last-child {
        flex-grow: 0 !important;
        flex-basis: 50% !important;
    }
}
